SplObjectStorage::removeAllExcept
SplObjectStorage::serialize
SplObjectStorage
PHP Manual

# SplObjectStorage::rewind

Rewind the iterator to the first storage element

### Description

public void SplObjectStorage::rewind ( void )

Rewind the iterator to the first storage element.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### Examples

Example #1 SplObjectStorage::rewind example

`<?php
$s = new SplObjectStorage();
$o1 = new StdClass;
$o2 = new StdClass;
$s->attach($o1, "d1");
$s->attach($o2, "d2");
$s->rewind();
while($s->valid()) {
$index = $s->key();
$object = $s->current(); // similar to current($s)
$data = $s->getInfo();
var_dump($object);
var_dump($data);
$s->next();
}
?>`

The above example will output something similar to:

    int(1)
    int(0)

### See Also

- SplObjectStorage::next